MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001821VCMIGUI - Hero screen / Exchange windowpublic2014-07-01 15:132016-01-23 06:21
ReporterKantor 
Assigned Tovmarkovtsev 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version0.98g 
Summary0001821: Improper name of assembled artifact empty slots
DescriptionAssembling artifact leads to create a new artifact in one slot and marks other slots as empty, while in VCMI descriptions of that empty slots remains the same. If You have more than one assembled artifact then descriptions of that last one empty slots remains the same, but empty slots of other assembled artifacts are described properly. Check please included screenshot. VCMI 0.95d.
TagsNo tags attached.
Attached Filesjpg file icon issue.jpg [^] (52,883 bytes) 2014-07-01 15:13

- Relationships
related to 0001799resolvedvmarkovtsev Hero's stats are not updated properly when he/she picks up an artifact 

-  Notes
(0004818)
Kantor (updater)
2014-07-01 15:15

Maybe it would be better if I would include a map or a save?
(0005269)
SXX (administrator)
2014-12-24 20:06

Also just want to clarify that at least in 0.97 problem related to lack of some info update after artifacts assembly/disassembly. If you reload hero screen all artifacts slots get proper names.

In fact behaviour of VCMI and H3 is little bit different: in H3 all additional slots used by artifact have "empty" caption, but in VCMI it's display part of artifact that using this exact slot. Though this doesn't looks like a bug.
(0006227)
SXX (administrator)
2015-12-25 09:16

Also when combined artifact disassembled it's show "Empty" in status bar for secondary parts.
(0006333)
vmarkovtsev (developer)
2016-01-21 07:57

https://github.com/vcmi/vcmi/pull/164 [^]

- Issue History
Date Modified Username Field Change
2014-07-01 15:13 Kantor New Issue
2014-07-01 15:13 Kantor File Added: issue.jpg
2014-07-01 15:15 Kantor Note Added: 0004818
2014-12-24 20:06 SXX Note Added: 0005269
2015-12-24 23:02 SXX Relationship added related to 0001799
2015-12-25 09:16 SXX Note Added: 0006227
2016-01-21 07:57 vmarkovtsev Note Added: 0006333
2016-01-23 06:21 vmarkovtsev Status new => resolved
2016-01-23 06:21 vmarkovtsev Fixed in Version => 0.98g
2016-01-23 06:21 vmarkovtsev Resolution open => fixed
2016-01-23 06:21 vmarkovtsev Assigned To => vmarkovtsev

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean